OpenTTD Source: SettingsIniFile Struct Reference

OpenTTD Source 15.0-RC2

Public Member Functions
SettingsIniFile Struct Reference

Derived class for loading INI files without going through Fio stuff. More...

Inheritance diagram for SettingsIniFile:

## Public Member Functions
| SettingsIniFile (const IniGroupNameList &list_group_names={}, const IniGroupNameList &seq_group_names={})
| Construct a new ini loader.
std::optional< FileHandle > | OpenFile (std::string_view filename, Subdirectory, size_t *size) override
| Open the INI file.
void | ReportFileError (std::string_view message) override
| Report an error about the file contents.
Public Member Functions inherited from IniLoadFile
| IniLoadFile (const IniGroupNameList &list_group_names={}, const IniGroupNameList &seq_group_names={})
| Construct a new in-memory Ini file representation.
const IniGroup * | GetGroup (std::string_view name) const
| Get the group with the given name.
IniGroup * | GetGroup (std::string_view name)
| Get the group with the given name.
IniGroup & | GetOrCreateGroup (std::string_view name)
| Get the group with the given name, and if it doesn't exist create a new group.
IniGroup & | CreateGroup (std::string_view name)
| Create an group with the given name.
void | RemoveGroup (std::string_view name)
| Remove the group with the given name.
void | LoadFromDisk (std::string_view filename, Subdirectory subdir)
| Load the Ini file's data from the disk.

## Additional Inherited Members
Public Types inherited from IniLoadFile
using | IniGroupNameList = std::initializer_list< const std::string_view >
Data Fields inherited from IniLoadFile
std::list< IniGroup > | groups
| all groups in the ini
std::string | comment
| last comment in file
const IniGroupNameList | list_group_names
| list of group names that are lists
const IniGroupNameList | seq_group_names
| list of group names that are sequences.

## Detailed Description

Derived class for loading INI files without going through Fio stuff.

Definition at line 142 of file settingsgen.cpp.

## Constructor & Destructor Documentation

## ◆ SettingsIniFile()

SettingsIniFile::SettingsIniFile | ( | const IniGroupNameList & | list_group_names = `{}`,
|  | const IniGroupNameList & | seq_group_names = `{}`
| ) |  |
| inline

Construct a new ini loader.

Parameters

  list_group_names | A list with group names that should be loaded as lists instead of variables.

See also
  IGT_LIST

Parameters

  seq_group_names | A list with group names that should be loaded as lists of names.

See also
  IGT_SEQUENCE

Definition at line 148 of file settingsgen.cpp.

## Member Function Documentation

## ◆ OpenFile()

std::optional< FileHandle > SettingsIniFile::OpenFile | ( | std::string_view | filename,
|  | Subdirectory | subdir,
|  | size_t * | size
| ) |  |
| inlineoverridevirtual

Open the INI file.

Parameters

  | filename | Name of the INI file.
  | subdir | The subdir to load the file from.
  [out] | size | Size of the opened file.

Returns
  File handle of the opened file, or `std::nullopt`.

Implements IniLoadFile.

Definition at line 153 of file settingsgen.cpp.

References FileHandle::Open().

## ◆ ReportFileError()

void SettingsIniFile::ReportFileError | ( | std::string_view | message | ) |
| inlineoverridevirtual

Report an error about the file contents.

Parameters

  message | The message to show.

Implements IniLoadFile.

Definition at line 167 of file settingsgen.cpp.

The documentation for this struct was generated from the following file:

- src/settingsgen/settingsgen.cpp